<!doctype html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">
		<title>Monter un CHATONS étudiant durable<</title>
		<link rel="stylesheet" href="css/reset.css">
		<link rel="stylesheet" href="css/reveal.css">
		<link rel="stylesheet" href="css/theme/white.css">
		<!-- Theme used for syntax highlighting of code -->
		<link rel="stylesheet" href="lib/css/monokai.css">
		<!-- Printing and PDF exports -->
		<script>
			var link = document.createElement('link');
			link.rel = 'stylesheet';
			link.type = 'text/css';
			link.href = window.location.search.match( /print-pdf/gi) ? 'css/print/pdf.css' : 'css/print/paper.css';
			document.getElementsByTagName('head')[0].appendChild(link);
		</script>
	</head>
	<body>
		<div class="reveal">
			<div class="slides">
				<section>
					<h1>Monter un CHATONS étudiant durable</h1>
					<div>
						<img width="27%" class="img-no-border" src="img/picasoft_logo.png">
					</div>
					<i>04 avril 2019</i>
				</section>
				<section>
					<section>
						<h2>Picasoft ? Services libres ?</h2>
						<ul>
							<li>Association étudiante créée en 2016 à l'UTC</li>
							<li>Défend la <b>culture du libre</b> en général</li>
							<li>Sensibilisation, formation, hébergement</li>
							<li>30 cotisants, une dizaine de membres actifs</li>
						</ul>
						<br/><br/>
						<div>
							<img width="25%" class="img-no-border" src="img/picasoft_logo.png">
							<img width="25%" class="img-no-border" src="img/logo_chatons.png">
						</div>
					</section>
					<section>
						<h2>Des CHATONS ?</h2>
						<div>
							<img src="img/logo_chatons.png" class="img-no-border" width="20%"/>
							<img src="img/essaimage.png" class="img-no-border" width="30%"/>
						</div>
						<span>Essaimage des connaissances</span>
					</section>
				</section>
				<section>
					<section>
						<h2>Hébergement</h2>
					</section>
					<section>
						<div width="80%">
							<img width="40%" style="float: left" src="img/picasoft_logo_pad.png" class="img-no-border"/>
							<img width="40%" style="float: right" src="img/picasoft_logo_team.png" class="img-no-border"/>
						</div>
						<div style="clear: both; align-items: center; display: flex; justify-content: space-evenly">
							<div><h4>Picapad</h4>
							1800 pads</div>
							<div><h4>Picateam</h4>
								<p>2000 utilisateurs<br/>200.000 messages</p></div>
							</div>
						</section>
						<section>
							<img src="img/wekan-logo.svg" class="img-no-border" width="30%"/><br/>
							Bientôt d'autres !<br/>
							<img src="img/logo_tellform.svg" class="img-no-border" width="30%"/>
						</section>
					</section>
					<section>
						<section>
							<h2>Sensibilisation</h2>
						</section>
						<section>
							<h3>Des conférences (dispos sur <a href="https://tube.aquilenet.fr/video-channels/picasoft@tube.svnet.fr/videos">Peertube</a></h3>
							<ul>
								<li>Neutralité du net</li>
								<li>Données personnelles</li>
								<li>Dégafamisation</li>
								<li>Monnaie Libre</li>
								<li>...</li>
							</ul>
						</section>
						<section>
							<h3>Lycées/FdS</h3>
							<ul>
								<li>Ateliers à la Fête de la Science</li>
								<li>Conférences dans des lycées</li>
								<li>Contacts avec les Ceméa</li>
							</ul>
						</section>
						<section>
							<h3>Autres</h3>
							<ul>
								<li>La voix est libre ! 📻 (<a href="http://radio.picasoft.net/">radio.picasoft.net</a>)</li>
								<li>Des ateliers, des stands !</li>
							</ul>
						</section>
					</section>
					<section>
						<section>
							<h2>Formation</h2>
							<small>Apprendre à casser la prod en seulement cinq minutes</small>
						</section>
						<section>
							<h3>Install Parties</h3>
							<div>
								<img width="20%" class="img-no-border" src="img/tux.png">
								<img width="38%" class="img-no-border" src="img/lineage.png">
								<img width="15%" class="img-no-border" src="img/gpg.png">
							</div>
						</section>
						<section>
							<h3>Dans la formation UTC</h3>
							<ul>
								<li>TX : Étude expérimentale</li>
								<ul style="list-style: circle;">
									<li>14 TX d'un semestre depuis fin 2016</li>
									<li>28 étudiants impliqués</li>
									<li>Infra, sécu, contribution, supports, création...</li>
								</ul>
								<li>API : Activités Pédagogiques à l'Intersemestre</li>
								<ul style="list-style: circle;">
									<li>"Init" : initiation à GNU/Linux, Git...</li>
									<li>"Run" : auto-hébergement, Docker...</li>
									<li>35h/API, entre 20 et 30 participants</li>
								</ul>
							</ul>
						</section>
						<section>
							<h3>Contrib'ateliers</h3>
							<div>
								<img width="20%" class="img-no-border" src="img/contrib.png">
								<img width="20%" class="img-no-border" src="img/osm.png">
							</div>
							<h3>Technos diverses</h3>
							<div>
								<img width="30%" class="img-no-border" src="img/docker.png">
								<img width="20%" class="img-no-border" src="img/git.png">
							</div>
						</section>
					</section>
					<section>
						<section>
							<h1>Une association étudiante</h1>
							<small>Encore un truc de gauchistes</small>
						</section>
						<section>
							<h3>UTC ?</h3>
							<small>UTC + 1 ?</small>
							<ul>
								<li>École d'ingé et université publique, six spécialités</li>
								<li>Énorme vie étudiante, plus de cent associations</li>
								<li>Un tiers de matières obligatoires en SHS/art, laboratoire dédié</li>
							</ul>
							<div><img width="30%" class="img-no-border" src="img/utc.jpg"></div>
						</section>
						<section>
							<h3>La valse des étudiants</h3>
							<ul>
								<li>Fonctionnement semestriel</li>
								<li>Un an de stage, souvent semestre à l'étranger</li>
								<li>Et le diplôme arrive...</li>
							</ul>
							<br/><br/>
							Comment et pourquoi éviter l'apocalypse en interne à chaque semestre ?
							<div><img width="80%" class="img-no-border" src="img/alice.png"></div>
						</section>
					</section>
					<section>
						<section>
							<h1>Pérenniser techniquement</h1>
						</section>
						<section>
							<h2>Infrastructure</h2>
							<small>Pour les insultes, on se retrouve aux questions</small>
							<div>
								<img width="30%" class="img-no-border" src="img/infra.jpeg">
								<img width="20%" class="img-no-border" src="img/ttn.png">
							</div>
						</section>
						<section>
							<h2>Sécurité</h2>
							<p>D'autant plus important qu'on a pas de chiffrement de bout en bout</p>
							<ul>
								<li>Audits infrastructure et services</li>
								<li>Identifiants chiffrés avec les clés PGP des membres</li>
								<li>Authentication par clé uniquement</li>
								<li>auditd</li>
							</ul>
							<p><small>Et surtout, on a tenté d'automatiser</small></p>
						</section>
						<section>
							<h2>Automatisation</h2>
							<small>Trouver le bon dosage</small>
							<ul>
								<li>Chaîne d'intégration (build, test, prod)</li>
								<li>Analyse statique et dynamique des images</li>
								<li>Backups</li>
							</ul>
							<br/><br/>
							Enjeu : faciliter le travail des nouveaux adminsys sans rendre le système opaque.
							<br/><br/>
							<small>On veut que Picasoft reste un terrain d'apprentissage et de découverte ouvert à tou.te.s</small>
						</section>
					</section>
				</section>
				<section>
				<section>
					<h1>Gouvernance</h1>
				</section>
				<section>
					<h3>Un bureau</h3>
					<ul>
						<li>Président</li>
						<li>Trésorier</li>
						<li>Responsable Technique</li>
						<li>Autres selon les besoins</li>
					</ul>
				</section>
				<section>
					<h3>Différents groupes de travail</h3>
					<ul>
						<li>Des groupes indépendants</li>
						<li>Chacun fait ce qui lui plaît</li>
					</ul>
				</section>
				<section>
					🎉 Du coup tout est parfait !🎉  <br/>
				</section>
			</section>
			<section>
				<section>
					<h2>Ou pas...</h2>
				</section>
				<section>
					<h3>On est pas toujours tous d'accord</h3>
					<small>No shit</small><br/>
					<ul>
						<li>Tout le monde vote ?</li>
						<li>Le bureau décide ?</li>
						<li>Quel équilibre ?</li>
					</ul>
				</section>
				<section>
					<h3>Pourquoi on fait ça ?</h3>
					Pour se faire <b>plaisir</b> ! <br/>
					L'asso est ce qu'on en fait, décidons ensemble
				</section>
			</section>
			<section>
				<h1>Documentation MOOC</h1>
				<a href="https://school.picasoft.net">school.picasoft.net</a> | <a href="https://wiki.picasoft.net">wiki.picasoft.net</a>
				<small>RTFM</small>
				<br/><br/>
				<div>
					<small>Infrastructure, bonnes pratiques, procédures de mise à jour, chaîne d'intégration, procédures d'audit, contribuer à un logiciel libre, organisation de l'association, communication, Git, DNS, backups, statistiques, chiffrement, LDAP, virtualisation, licences libres, Docker, prendre en main Linux, Linux sur un serveur, décentralisation...</small>
				</div>
				<br/>
				<small><b>Tout pour monter un CHATONS :)</b></small>
			</section>
			<section>
				<h1>Merci !<br/>Des questions ?</h1>
			</section>
		</div>
	</div>
	<script src="js/reveal.js"></script>
	<script>
		Reveal.initialize({
			hash: true,
			dependencies: [
				{ src: 'plugin/zoom-js/zoom.js', async: true }
			]
		});
	</script>
</body>
</html>